<template>
    <section class="hero flex h-screen items-center justify-center px-12 overflow-hidden z-30">

        <!-- Background -->
        <div class="hero__background">
            <img
                :src="require('~/assets/images/' + background)"
                alt="background"
                class="hero__background--image absolute inset-0 object-cover w-full h-full z-10"
            >
        </div>

        <!-- Contenu -->
        <div class="hero__container pb-12 text-center z-20">

            <!-- Titre -->
            <h1 class="h1 h1__title pb-5">{{ title }}</h1>

            <!-- Description -->
            <p class="p">{{ description }}</p>

            <!-- Bouton -->
            <nuxt-link
                to="/portfolio"
                class="block m-auto mt-8"
                style="width: fit-content;"
            >
                <button class="span py-2 px-6 xl:mt-0 border border-white">
                    Aller au portfolio
                </button>
            </nuxt-link>

        </div>

    </section>
</template>

<script>

// Importation du plugin GSAP (pour les animations)
import { gsap } from "gsap";

export default {

    // Nom du composant
    name: 'HeroCustom',

    // Données en paramètres du composant
    props: {
        title: { type: String, default: () => { } },
        description: { type: String, default: () => { } },
        background: { type: String, default: () => { } },
    },

    // Données du composant
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>
